Forum Xamarin Xamarin.Android

DO NOT USE Java JDK 1.8 when generating Android bindings in Xamarin Studio!

KenYeeKenYee USMember ✭✭

Just an FYI.
You'll have a lot of missing classes and lots of these errors in your build log:
java.lang.VerifyError: Expecting a stackmap frame at branch target

What's really annoying is that on OSX, Xamarin Studio's default settings use /usr/bin/java which defaults to the latest JDK even if you have 1.7 installed. You have to install a 1.7 JDK and tell it to use that directory in your preferences.

Posts

Sign In or Register to comment.